package cn.estsh.i3plus.pojo.andon.model;

import cn.estsh.i3plus.pojo.andon.bean.AndonManageQueue;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description:  安灯主界面Model
 * @Reference:
 * @Author: Crish
 * @CreateDate:2019-11-22-13:44
 * @Modify:
 **/
@Data
public class AndonMenuInterfaceModel{

    @ApiParam("工作中心代码")
    private String  workCenterCode;

    @ApiParam("工作中心名称")
    private String  workCenterName;

    @ApiParam("产线运行状态")
    private String  workCenterStatus;

    @ApiParam("安灯类型")
    private String  alarmCode;

    @ApiParam("安灯类型名称")
    private String  alarmName;

    @ApiParam("故障总时长   单位：分钟")
    private Long  exceptionTime = 0L;

    @ApiParam("当前安灯类型故障时长   单位：分钟")
    private Long  currentExceptionTime = 0L;

    @ApiParam("当前安灯类型故障比例")
    private Double  proportion = 0D;

    @ApiParam("当前工厂的产线故障统计")
    private List<AndonMenuInterfaceModel> andonWorkcenterList;

    @ApiParam("当前产线的所有故障统计")
    private List<AndonBoardModel> alarmBrokenInfoList;

    @ApiParam("当前产线的未解决故障统计")
    private List<AndonBoardModel> pendingSolveBrokenInfoList;

    @ApiParam("当前产线的响应时长top10")
    private List<AndonBoardModel> responseInfoList;

    @ApiParam("当前产线的解决时长top10")
    private List<AndonBoardModel> solveInfoList;

    @ApiParam("当前产线的异常时长top10")
    private List<AndonBoardModel> exceptionInfoList;

    @ApiParam("当前产线的站点状态统计")
    private List<CellGroupStatusModel> andonCellGroupStatusList;

    public double getExceptionTimeVal() {
        return exceptionTime == null ? 0 : exceptionTime;
    }

    public double getCurrentExceptionTimeVal() {
        return currentExceptionTime == null ? 0 : currentExceptionTime;
    }

    public double getProportionVal() {
        return proportion == null ? 0 : proportion;
    }

    @Override
    public String toString() {
        return "AndonMenuInterfaceModel{" +
                "workCenterCode='" + workCenterCode + '\'' +
                ", workCenterName='" + workCenterName + '\'' +
                ", workCenterStatus='" + workCenterStatus + '\'' +
                ", alarmCode='" + alarmCode + '\'' +
                ", alarmName='" + alarmName + '\'' +
                ", exceptionTime=" + exceptionTime +
                ", currentExceptionTime=" + currentExceptionTime +
                ", proportion=" + proportion +
                '}';
    }
}