package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;
import java.io.Serializable;

/**
 * @Description:
 * @Reference:
 * @Author: joke.wang
 * @CreateDate: 2019\12\3 18:59
 * @Modify:
 **/
@Data
public class ProdBindRecordModel implements Serializable {

    private Long id;
    private String createUser;
    private String createDatetime;
    private String modifyUser;
    private String modifyDatetime;

    @ApiParam(value = "产品条码")
    private String serialNumber;

    @ApiParam("产品条码零件号")
    private String partNo;

    @ApiParam("产品条码零件名称")
    private String partName;

    @ApiParam("工单号")
    private String workOrderNo;

    @ApiParam(value = "工作中心")
    private String workCenterCode;

    @ApiParam(value = "工作单元")
    private String workCellCode;

    @ApiParam(value = "工步代码")
    private String stepCode;

    @ApiParam("原材料零件号")
    private String itemPartNo;

    @ApiParam("原材料零件名称")
    private String itemPartName;

    @ApiParam("原材料条码")
    private String kpSn;

    @ApiParam(value = "原材料数量", example = "0")
    private Double kpQty;

    @ApiParam("供应商")
    private String supplierCode;

    @ApiParam
    private String lotNo;

    @ApiParam
    private Integer isFeed;

    @ApiParam("版本")
    private String version;

    @ApiParam(value = "结果")
    private String result;

    @ApiParam(value = "是否绑定关键件")
    private Integer isBindKey;

    @ApiParam(value = "动作类型")
    private String actionType;

    public ProdBindRecordModel() {

    }

    public ProdBindRecordModel(Long id, String createUser, String createDatetime, String modifyUser, String modifyDatetime, String serialNumber, String partNo, String partName, String workOrderNo, String workCenterCode, String workCellCode, String stepCode, String itemPartNo, String itemPartName, String kpSn, Double kpQty, String supplierCode, String lotNo, Integer isFeed, String version, String result, Integer isBindKey, String actionType) {
        this.id = id;
        this.createUser = createUser;
        this.createDatetime = createDatetime;
        this.modifyUser = modifyUser;
        this.modifyDatetime = modifyDatetime;
        this.serialNumber = serialNumber;
        this.partNo = partNo;
        this.partName = partName;
        this.workOrderNo = workOrderNo;
        this.workCenterCode = workCenterCode;
        this.workCellCode = workCellCode;
        this.stepCode = stepCode;
        this.itemPartNo = itemPartNo;
        this.itemPartName = itemPartName;
        this.kpSn = kpSn;
        this.kpQty = kpQty;
        this.supplierCode = supplierCode;
        this.lotNo = lotNo;
        this.isFeed = isFeed;
        this.version = version;
        this.result = result;
        this.isBindKey = isBindKey;
        this.actionType = actionType;
    }
}
